/* 
Theme Name: AfrobeatRadio - Twenty Twenty Three Child
Text Domain: afrobeatradiotwentytwentythreechild
Template: twentytwentythree
Version: 1.0
Description: Twenty Twenty Three Child Theme for the AfrobeatRadio site
Tags: responsive, blog
Author: Li Francucci
Author URI: https://lifrancucci.com
*/

/* ************* VARIABLES ************* */
:root {
  /* Colors */
  --clr-dark: rgb(11, 10, 8);
  --clr-light: rgb(254, 255, 249);
  --clr-mid: rgb(103, 106, 106);
  /* --clr-main: rgb(81, 68, 212); */
  --clr-main: #1e88e5;
  /* --clr-secondary: rgb(13, 8, 58); */
  --clr-secondary: rgb(10, 10, 33);
  --clr-tertiary: rgb(242, 235, 166);
  --clr-alert: rgb(255, 229, 95);
  --clr-accent: rgb(221, 56, 64);
  --clr-placeholder: rgb(11, 10, 8, 0.5);
  --clr-shadow: rgb(11, 10, 8, 0.2);
  --clr-shadow-variant: rgb(253, 255, 245, 0.2);

  /* Fonts */
  --font-title-bold: "Cocon Bold", cursive;
  --font-title-regular: "Cocon Regular", cursive;
  --font-body: "Inter", sans-serif;

  /* Sizes */
  --size-h1: 100px;
  --size-h2: 42px;
  --size-subtitle: 32px;
  --size-p: 16px;
  --size-small: 14px;

  /* Margins */
  --margin-page: 120px;
}

/* CUSTOM FONTS */
@font-face {
  font-family: "Cocon Regular";
  src: url(../fonts/CoconRegular.ttf);
}
@font-face {
  font-family: "Cocon Bold";
  src: url(../fonts/CoconBold.ttf);
}

/* *********** GENERAL STYLES *********** */
*,
*::after,
*::before {
  box-sizing: border-box;
}
html,
body {
  font-family: var(--font-body);
  font-size: var(--size-p);
  background-color: var(--clr-light);
  color: var(--clr-dark);
  width: 100vw;
  overflow-x: hidden;
}
h1,
.h1 {
  font-family: var(--font-title);
  font-family: "Cocon Bold";
  font-size: var(--size-h1);
  color: var(--clr-accent);
  line-height: 0.9;
  margin: 0 0 2rem;
}
h2,
.h2 {
  font-size: var(--size-h2);
  text-transform: uppercase;
  font-weight: 500;
  margin-bottom: 2rem;
}
.subtitle {
  font-size: var(--size-subtitle);
}
p {
  font-weight: 300;
  line-height: 1.5;
}
a {
  color: inherit;
  text-decoration: none;
}
button {
  border-radius: 20px;
  text-transform: uppercase;
  padding: 0.5rem 2rem;
  margin: 2rem 2rem 1rem 0;
  border: none;
  cursor: pointer;
  transition: box-shadow 0.2s ease-in-out;
}
button:hover {
  box-shadow: 3px 3px 2px 2px var(--clr-shadow);
}
button.variant:hover {
  box-shadow: 3px 3px 2px 2px var(--clr-shadow-variant);
}
.btn-outline {
  background-color: transparent;
  color: var(--clr-light);
  border: 2px solid var(--clr-light);
}
.btn-primary {
  background-color: var(--clr-accent);
  color: var(--clr-light);
  border: none;
}
.btn-secondary {
  background-color: var(--clr-main);
  color: var(--clr-light);
  border: none;
}
.btn-submit,
.btn-alert {
  background-color: var(--clr-alert);
  color: var(--clr-dark);
  border: none;
}
.btn-category {
  background-color: var(--clr-tertiary);
  text-transform: none;
  font-size: 11px;
  padding: 0.2rem 0.5rem;
  margin: 0.2rem 0.2rem 0.2rem 0;
}
section {
  display: flex;
  flex-direction: column;
  position: relative;
  width: 100vw;
  padding: 3rem var(--margin-page) 5rem;
}
.section__link {
  font-weight: 600;
  color: var(--clr-main);
}
.section__title .title,
.section__subtitle {
  font-family: var(--font-title-regular);
  color: var(--clr-main);
  text-transform: lowercase;
}
.section__title {
  display: flex;
  align-items: center;
  justify-content: center;
}
.section__title .title {
  font-size: 72px;
  display: inline;
  width: fit-content;
  background-color: var(--clr-light);
  z-index: 2;
  padding: 1rem 2rem;
  margin-left: 3rem;
  margin-bottom: 3rem;
}
.section__subtitle {
  font-size: 36px;
}
.section__title .line {
  position: absolute;
  width: calc(100% - (var(--margin-page) * 2));
  height: 10px;
  left: var(--margin-page);
  margin-top: -2.5rem;
  background-color: var(--clr-main);
}
.section__columns {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}
.section__col {
  width: 50%;
}
/* FORMS */
form {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 20px;
  width: 450px;
  padding: 2rem 0;
}
form > input,
form > textarea {
  padding: 0.5rem;
  margin: 0.5rem 0;
  width: 80%;
  border-radius: 10px;
  border: none;
}
form > textarea {
  height: 150px;
}
form > .checkbox-area {
  margin-top: 1rem;
  display: flex;
  flex-direction: column;
}
form > .checkbox-area > .checkbox {
  width: 1rem;
  height: 1rem;
  margin-right: 0.5rem;
}
form > .btn-submit {
  text-transform: uppercase;
  width: fit-content;
  border-radius: 20px;
  padding: 0.5rem 2rem;
  margin-top: 2rem;
}
form .respond {
  font-style: italic;
  align-self: flex-start;
  margin-left: 3rem;
  margin-bottom: 1rem;
}
form .success,
form .error {
  color: var(--clr-light);
  padding: 0.5rem;
  border-radius: 2px;
}
.home form {
  border: 3px solid var(--clr-light);
}
.home form .success {
  outline: 2px solid var(--clr-light);
}
.home form .error {
  outline: 2px solid var(--clr-alert);
}
input {
  font-family: var(--font-body);
  padding: 0.5rem;
  margin: 0.5rem 0;
  border-radius: 10px;
  border: none;
}
textarea {
  font-family: var(--font-body);
}
input::placeholder,
textarea::placeholder {
  color: var(--clr-placeholder);
  font-size: 1rem;
}
input:focus::placeholder,
textarea:focus::placeholder {
  opacity: 0;
}
input[type="checkbox"] {
  position: relative;
  cursor: pointer;
  padding-right: 0.5rem;
}
/* ******* CONTACT FORM 7 STYLES ******* */
.wpcf7-spinner {
  display: none;
  margin: 0;
}
.wpcf7-submit {
  text-transform: uppercase;
}

/* *********** HEADER STYLES *********** */
header {
  position: fixed;
  background-color: var(--clr-main);
  width: 100%;
  z-index: 99;
}
nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-left: var(--margin-page);
  margin-right: var(--margin-page);
}
.nav__logo {
  height: 2.5rem;
  margin: 0.5rem 0.5rem 0.5rem 0;
}
.nav__ul {
  display: flex;
  align-items: center;
  text-align: center;
}
.ul__link {
  color: var(--clr-light);
  margin: 0 1rem;
}
.nav__ul button {
  margin: 0 1rem 0;
}
.mobile-nav {
  display: none;
  position: absolute;
  color: var(--clr-light);
  font-size: 2rem;
  right: 1rem;
}
/* ************************************* */
/* ********** HOMEPAGE STYLES ********** */
/* ************************************* */
.home__hero {
  min-height: 100vh;
  width: 100vw;
  overflow: hidden;
  background-color: var(--clr-secondary);
}
.home__hero .hero__title {
  color: var(--clr-accent);
  text-align: right;
  font-size: 98px;
}
.home__hero .hero__subtitle {
  text-align: right;
  color: var(--clr-light);
  font-size: 24px;
}
.home__hero .section__col {
  width: 50%;
}
.home__hero .col--left {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}
.home__hero .btn-alert {
  margin-right: 0;
}
.home__hero .col--right {
  display: flex;
  justify-content: flex-end;
}
.home__hero .player {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1.5rem;
  background-color: var(--clr-main);
  border-radius: 20px;
  margin: 5rem 0 3rem;
}
.home__hero .embedded-player,
.home__hero .embedded-history {
  background-color: var(--clr-light);
  padding: 1rem;
}
.home__hero .embedded-player {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.home__hero .embedded-history {
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}
.home__hero .btn-primary {
  margin-top: 2rem;
}
/* DJS AND PRODUCERS */
.home__djs-producers .cards-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: auto;
  grid-auto-rows: 1fr;
  gap: 2rem;
  justify-items: center;
}
.home__djs-producers .card {
  display: flex;
  flex-direction: column;
  background-color: var(--clr-main);
  color: var(--clr-light);
  border-radius: 0 0 20px 20px;
}
.home__djs-producers .card__image {
  width: 100%;
}
.home__djs-producers .card__text {
  padding: 2rem;
}
.home__djs-producers .card__name {
  text-transform: uppercase;
  font-weight: 400;
  margin-bottom: 1rem;
}
.home__djs-producers .card__bio a {
  font-weight: bold;
  color: var(--clr-alert);
}
/* MUSIC ON-DEMAND */
.home__on-demand {
  background-color: var(--clr-accent);
  color: var(--clr-light);
}
.home__on-demand .line {
  border-top: 10px solid var(--clr-light);
}
.home__on-demand .section__title .title {
  background-color: var(--clr-accent);
  color: var(--clr-light);
}
.home__on-demand .on-demand-container {
  padding: 1.5rem;
  border: 3px solid var(--clr-light);
  border-radius: 20px;
}
.home__on-demand .on-demand-container > .embedded-on-demand {
  background-color: var(--clr-light);
  border-radius: 10px;
  height: 600px;
}
.home__on-demand .col--left {
  width: 70%;
}
.home__on-demand .col--right {
  width: 30%;
  padding-left: 3rem;
}
.home__on-demand .on-demand-buttons {
  margin-top: 2rem;
}
.home__on-demand .on-demand-buttons > button {
  margin-right: 1rem;
}
/* OUR SCHEDULE */
.home__schedule .schedule-container {
  padding: 1.5rem;
  /* background-color: var(--clr-main); */
  border-radius: 20px;
  border: 3px solid var(--clr-main);
}
.home__schedule .schedule-container > .embedded-schedule {
  background-color: var(--clr-light);
  border-radius: 10px;
  height: 600px;
}
/* CONNECT */
.home__connect {
  background-color: var(--clr-accent);
  color: var(--clr-light);
}
.home__connect .line {
  border-top: 10px solid var(--clr-light);
}
.home__connect .section__title .title {
  background-color: var(--clr-accent);
  color: var(--clr-light);
}
.home__connect > .section__columns {
  display: flex;
  align-items: stretch;
}
.home__connect > .section__col {
  width: 50%;
}
.home__connect .col--right {
  display: flex;
  justify-content: flex-end;
}
.home__connect .contact-list {
  margin: 1rem 0 2rem;
}
.home__connect .contact-list p {
  font-weight: 400;
}
.home__connect .contact-list span {
  color: var(--clr-light);
  display: inline-block;
  width: 3rem;
  font-size: 1.5rem;
}
.home__connect .social-links {
  display: flex;
}
.home__connect .social-link {
  color: var(--clr-light);
  font-size: 2rem;
  margin-right: 2rem;
}

/* FOOTER */
footer {
  background-color: var(--clr-main);
  color: var(--clr-light);
  width: 100vw;
  z-index: 199;
}
footer .footer__columns {
  display: flex;
}
footer .footer__col {
  padding: 2rem 3rem;
  margin: 2rem 0;
}
footer .col--left {
  text-align: center;
  border-right: 3px solid var(--clr-light);
}
footer .footer__iso {
  width: 150px;
}
footer .footer__site-name {
  font-family: var(--font-title-regular);
  font-size: 1.5rem;
  margin-top: 0.5rem;
}
footer .col--right {
  width: 100%;
  padding-left: 3rem;
}
.footer__list {
  padding-left: 1.5rem;
  margin-bottom: 1.5rem;
}
.footer__list > li {
  line-height: 1.5;
  padding-top: 0.5rem;
  list-style: disc;
}
.footer__link {
  color: var(--clr-alert);
  font-weight: 600;
}
footer .links-list {
  margin-right: 3rem;
  line-height: 1.7;
}
footer .links-list > .links-list__title {
  font-size: 1.2rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
}
footer .links-list > li {
  font-weight: 200;
}
